> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/20.-mutacion-eliminar-farm.md).

# 20. Mutación: Eliminar "Farm"

Eliminar la "Granja" seleccionada y todos los datos relacionados con ella.

{% hint style="info" %}
Si la "Granja" fue compartida por otro usuario, entonces la operación eliminará solo el enlace. Todos los datos de la "Granja" de origen se conservarán.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteFarm {
  deleteFarm(input: {
    uuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    name
    farmOwnership
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/20.-mutacion-eliminar-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
